<article ng-controller="loginCtrl as vmLogin">
    <form ng-submit="vmLogin.login(vmLogin.userName)">
        <input type="text" ng-model="vmLogin.userName">
        <button>Login</button>
    </form>
</article>